<?php

namespace App\Services;

class EmailService {

	public static function isBanned($email)
	{
		if(filter_var($email, FILTER_VALIDATE_EMAIL) == false) {
			return true;
		}

		$parts = explode('@', $email);

		return in_array(strtolower(last($parts)), array_map('strtolower', self::bannedDomains()));
	}

	public static function bannedDomains()
	{
		return ['0-mail.com', '0815.ru', '0clickemail.com', '0wnd.net', '0wnd.org', '10minutemail.com', '20minutemail.com', '2prong.com', '30minutemail.com', '3d-painting.com', '4warding.com', '4warding.net', '4warding.org', '60minutemail.com', '675hosting.com', '675hosting.net', '675hosting.org', '6url.com', '75hosting.com', '75hosting.net', '75hosting.org', '7tags.com', '9ox.net', 'a-bc.net', 'afrobacon.com', 'ajaxapp.net', 'amilegit.com', 'amiri.net', 'amiriindustries.com', 'anonbox.net', 'anonymbox.com', 'antichef.com', 'antichef.net', 'antispam.de', 'baxomale.ht.cx', 'beefmilk.com', 'binkmail.com', 'bio-muesli.net', 'bobmail.info', 'bodhi.lawlita.com', 'bofthew.com', 'brefmail.com', 'broadbandninja.com', 'bsnow.net', 'bugmenot.com', 'bumpymail.com', 'casualdx.com', 'centermail.com', 'centermail.net', 'chogmail.com', 'choicemail1.com', 'cool.fr.nf', 'correo.blogos.net', 'cosmorph.com', 'courriel.fr.nf', 'courrieltemporaire.com', 'cubiclink.com', 'curryworld.de', 'cust.in', 'dacoolest.com', 'dandikmail.com', 'dayrep.com', 'deadaddress.com', 'deadspam.com', 'despam.it', 'despammed.com', 'devnullmail.com', 'dfgh.net', 'digitalsanctuary.com', 'discardmail.com', 'discardmail.de', 'Disposableemailaddresses:emailmiser.com', 'disposableaddress.com', 'disposeamail.com', 'disposemail.com', 'dispostable.com', 'dm.w3internet.co.ukexample.com', 'dodgeit.com', 'dodgit.com', 'dodgit.org', 'donemail.ru', 'dontreg.com', 'dontsendmespam.de', 'dump-email.info', 'dumpandjunk.com', 'dumpmail.de', 'dumpyemail.com', 'e4ward.com', 'email60.com', 'emaildienst.de', 'emailias.com', 'emailigo.de', 'emailinfive.com', 'emailmiser.com', 'emailsensei.com', 'emailtemporario.com.br', 'emailto.de', 'emailwarden.com', 'emailx.at.hm', 'emailxfer.com', 'emz.net', 'enterto.com', 'ephemail.net', 'etranquil.com', 'etranquil.net', 'etranquil.org', 'explodemail.com', 'fakeinbox.com', 'fakeinformation.com', 'fastacura.com', 'fastchevy.com', 'fastchrysler.com', 'fastkawasaki.com', 'fastmazda.com', 'fastmitsubishi.com', 'fastnissan.com', 'fastsubaru.com', 'fastsuzuki.com', 'fasttoyota.com', 'fastyamaha.com', 'filzmail.com', 'fizmail.com', 'fr33mail.info', 'frapmail.com', 'front14.org', 'fux0ringduh.com', 'garliclife.com', 'get1mail.com', 'get2mail.fr', 'getonemail.com', 'getonemail.net', 'ghosttexter.de', 'girlsundertheinfluence.com', 'gishpuppy.com', 'gowikibooks.com', 'gowikicampus.com', 'gowikicars.com', 'gowikifilms.com', 'gowikigames.com', 'gowikimusic.com', 'gowikinetwork.com', 'gowikitravel.com', 'gowikitv.com', 'great-host.in', 'greensloth.com', 'gsrv.co.uk', 'guerillamail.biz', 'guerillamail.com', 'guerillamail.net', 'guerillamail.org', 'guerrillamail.biz', 'guerrillamail.com', 'guerrillamail.de', 'guerrillamail.net', 'guerrillamail.org', 'guerrillamailblock.com', 'h.mintemail.com', 'h8s.org', 'haltospam.com', 'hatespam.org', 'hidemail.de', 'hochsitze.com', 'hotpop.com', 'hulapla.de', 'ieatspam.eu', 'ieatspam.info', 'ihateyoualot.info', 'iheartspam.org', 'imails.info', 'inboxclean.com', 'inboxclean.org', 'incognitomail.com', 'incognitomail.net', 'incognitomail.org', 'insorg-mail.info', 'ipoo.org', 'irish2me.com', 'iwi.net', 'jetable.com', 'jetable.fr.nf', 'jetable.net', 'jetable.org', 'jnxjn.com', 'junk1e.com', 'kasmail.com', 'kaspop.com', 'keepmymail.com', 'killmail.com', 'killmail.net', 'kir.ch.tc', 'klassmaster.com', 'klassmaster.net', 'klzlk.com', 'kulturbetrieb.info', 'kurzepost.de', 'letthemeatspam.com', 'lhsdv.com', 'lifebyfood.com', 'link2mail.net', 'litedrop.com', 'lol.ovpn.to', 'lookugly.com', 'lopl.co.cc', 'lortemail.dk', 'lr78.com', 'm4ilweb.info', 'maboard.com', 'mail-temporaire.fr', 'mail.by', 'mail.mezimages.net', 'mail2rss.org', 'mail333.com', 'mail4trash.com', 'mailbidon.com', 'mailblocks.com', 'mailcatch.com', 'maileater.com', 'mailexpire.com', 'mailfreeonline.com', 'mailin8r.com', 'mailinater.com', 'mailinator.com', 'mailinator.net', 'mailinator2.com', 'mailincubator.com', 'mailme.ir', 'mailme.lv', 'mailmetrash.com', 'mailmoat.com', 'mailnator.com', 'mailnesia.com', 'mailnull.com', 'mailshell.com', 'mailsiphon.com', 'mailslite.com', 'mailzilla.com', 'mailzilla.org', 'mbx.cc', 'mega.zik.dj', 'meinspamschutz.de', 'meltmail.com', 'messagebeamer.de', 'mierdamail.com', 'mintemail.com', 'moburl.com', 'moncourrier.fr.nf', 'monemail.fr.nf', 'monmail.fr.nf', 'msa.minsmail.com', 'mt2009.com', 'mx0.wwwnew.eu', 'mycleaninbox.net', 'mypartyclip.de', 'myphantomemail.com', 'myspaceinc.com', 'myspaceinc.net', 'myspaceinc.org', 'myspacepimpedup.com', 'myspamless.com', 'mytrashmail.com', 'neomailbox.com', 'nepwk.com', 'nervmich.net', 'nervtmich.net', 'netmails.com', 'netmails.net', 'netzidiot.de', 'neverbox.com', 'no-spam.ws', 'nobulk.com', 'noclickemail.com', 'nogmailspam.info', 'nomail.xl.cx', 'nomail2me.com', 'nomorespamemails.com', 'nospam.ze.tc', 'nospam4.us', 'nospamfor.us', 'nospamthanks.info', 'notmailinator.com', 'nowmymail.com', 'nurfuerspam.de', 'nus.edu.sg', 'nwldx.com', 'objectmail.com', 'obobbo.com', 'oneoffemail.com', 'onewaymail.com', 'online.ms', 'oopi.org', 'ordinaryamerican.net', 'otherinbox.com', 'ourklips.com', 'outlawspam.com', 'ovpn.to', 'owlpic.com', 'pancakemail.com', 'pimpedupmyspace.com', 'pjjkp.com', 'politikerclub.de', 'poofy.org', 'pookmail.com', 'privacy.net', 'proxymail.eu', 'prtnx.com', 'punkass.com', 'quickinbox.com', 'rcpt.at', 'recode.me', 'recursor.net', 'regbypass.com', 'regbypass.comsafe-mail.net', 'rejectmail.com', 'rklips.com', 'rmqkr.net', 'rppkn.com', 'rtrtr.com', 's0ny.net', 'safe-mail.net', 'safersignup.de', 'safetymail.info', 'safetypost.de', 'sandelf.de', 'saynotospams.com', 'selfdestructingmail.com', 'sharklasers.com', 'shiftmail.com', 'shitmail.me', 'shortmail.net', 'sibmail.com', 'skeefmail.com', 'slaskpost.se', 'slopsbox.com', 'smellfear.com', 'snakemail.com', 'sneakemail.com', 'sofimail.com', 'sofort-mail.de', 'sogetthis.com', 'soodonims.com', 'spam.la', 'spam.su', 'spamavert.com', 'spambob.com', 'spambob.net', 'spambob.org', 'spambog.com', 'spambog.de', 'spambog.ru', 'spambox.info', 'spambox.irishspringrealty.com', 'spambox.us', 'spamcannon.com', 'spamcannon.net', 'spamcero.com', 'spamcon.org', 'spamcorptastic.com', 'spamcowboy.com', 'spamcowboy.net', 'spamcowboy.org', 'spamday.com', 'spamex.com', 'spamfree24.com', 'spamfree24.de', 'spamfree24.eu', 'spamfree24.info', 'spamfree24.net', 'spamfree24.org', 'spamhole.com', 'spamify.com', 'spaminator.de', 'spamkill.info', 'spaml.com', 'spaml.de', 'spammotel.com', 'spamobox.com', 'spamoff.de', 'spamslicer.com', 'spamspot.com', 'spamthis.co.uk', 'spamthisplease.com', 'spamtrail.com', 'speed.1s.fr', 'supergreatmail.com', 'supermailer.jp', 'suremail.info', 'teewars.org', 'teleworm.com', 'tempalias.com', 'tempe-mail.com', 'tempemail.biz', 'tempemail.com', 'tempinbox.co.uk', 'tempinbox.com', 'tempmail.it', 'tempmail2.com', 'tempomail.fr', 'temporarily.de', 'temporarioemail.com.br', 'temporaryemail.net', 'temporaryforwarding.com', 'temporaryinbox.com', 'thanksnospam.info', 'thankyou2010.com', 'thisisnotmyrealemail.com', 'throwawayemailaddress.com', 'tilien.com', 'tmailinator.com', 'tradermail.info', 'trash-amil.com', 'trash-mail.at', 'trash-mail.com', 'trash-mail.de', 'trash2009.com', 'trashemail.de', 'trashmail.at', 'trashmail.com', 'trashmail.de', 'trashmail.me', 'trashmail.net', 'trashmail.org', 'trashmail.ws', 'trashmailer.com', 'trashymail.com', 'trashymail.net', 'trillianpro.com', 'turual.com', 'twinmail.de', 'tyldd.com', 'uggsrock.com', 'upliftnow.com', 'uplipht.com', 'venompen.com', 'veryrealemail.com', 'viditag.com', 'viewcastmedia.com', 'viewcastmedia.net', 'viewcastmedia.org', 'webm4il.info', 'wegwerfadresse.de', 'wegwerfemail.de', 'wegwerfmail.de', 'wegwerfmail.net', 'wegwerfmail.org', 'wetrainbayarea.com', 'wetrainbayarea.org', 'wh4f.org', 'whyspam.me', 'willselfdestruct.com', 'winemaven.info', 'wronghead.com', 'wuzup.net', 'wuzupmail.net', 'www.e4ward.com', 'www.gishpuppy.com', 'www.mailinator.com', 'wwwnew.eu', 'xagloo.com', 'xemaps.com', 'xents.com', 'xmaily.com', 'xoxy.net', 'yep.it', 'yogamaven.com', 'yopmail.com', 'yopmail.fr', 'yopmail.net', 'ypmail.webarnak.fr.eu.org', 'yuurok.com', 'zehnminutenmail.de', 'zippymail.info', 'zoaxe.com', 'zoemail.org', '33mail.com', 'maildrop.cc', 'inboxalias.com', 'spam4.me', 'koszmail.pl', 'tagyourself.com', 'whatpaas.com', 'emeil.in', 'azmeil.tk', 'mailfa.tk', 'inbax.tk', 'emeil.ir', 'boximail.com', 'mailfall.com', 'tmpeml.info', 'wimsg.com', 'emltmp.com', 'docmail.cz', 'tmpmail.net', 'oalsp.com', 'binka.me', 'doanart.com', 'p33.org', 'bestvpn.top', '10vpn.info', 'mailgov.info', 'janproz.com', 'pcmylife.com', 'vpstraffic.com', 'garage46.com', 'buy003.com', 'uscaves.com', 'vektik.com', 'amail.club', 'cmail.club', 'wmail.club', 'banit.me', 'nada.ltd', 'duck2.club', 'cars2.club', 'nada.email', 'guerrillamail.info', 'grr.la', 'pokemail.net', 'throwawaymail.com', 'ibsats.com', 'tempmailaddress.com', 'qiq.us', 'mytemp.email', 'u.0u.ro', 'mailto.space', 'vlwomhm.xyz', 'dropmail.me', '10mail.org', 'yomail.info', 'emlpro.com', 'emlhub.com', 'migmail.pl', 'niepodam.pl', 'nbox.notif.me', 'junkmail.com', 'via.tokyo.jp', 'ichigo.me', 'choco.la', 'cream.pink', 'merry.pink', 'neko2.net', 'fuwamofu.com', 'macr2.com', 'f5.si', 'ahk.jp', 'svk.jp', 'ruru.be', '0mel.com', 'dqnwara.com', 'instance-email.com', 'mt2014.com', 'mt2015.com', 'damnthespam.com ', '0box.eu', 'contbay.com', 'damnthespam.com', 'eelmail.com', 'getairmail.com', 'vomoto.com', 'tafmail.com', 'clrmail.com', 'abyssmail.com', '2nd-mail.xyz', 'e-mailbox.ga', 'psles.com', 'hezll.com', 'cfo2go.ro', 'wupics.com', 'xww.ro', 'asdhgsad.com', 'furusato.tokyo', 'onlysext.com', 'malove.site', 'mailfs.com', '50mb.ml', 'toon.ml', 'ppetw.com', 'apssdc.ml', 'istii.ro', 'spamtrap.ro', 'rkomo.com', 'gotimes.xyz', 'uu.gl', 'barryogorman.com', 'mankyrecords.com', 'emailo.pro', 'tm2mail.com', 'ugimail.net', 'mailbox52.ga', 'xxlocanto.us', 'hoo.com', 'byom.de', 'mail4-us.org', 'web2mailco.com', '0815.su', '0x01.gq', '0x01.tk', '027168.com', '6-6-6.igg.biz', '6-6-6.nut.cc', '6-6-6.usa.cc', 'a.safe-mail.gq', 'affilikingz.de', 'anonmail.top', 'armyspy.com', 'art-en-ligne.pro', 'btcmail.pwguerrillamail.net', 'cd.mintemail.com', 'chacuo.net', 'cyber-innovation.club', 'cyber-phone.eu', 'cuvox.de', 'dbz5mchild.com', 'discard.email', 'disign-concept.eu', 'disign-revelation.com', 'ecolo-online.fr', 'einrot.com', 'emailfake.usa.cc', 'emailna.co', 'emailsy.info', 'estate-invest.fr', 'fast-mail.fr', 'fleckens.hu', 'freelance-france.euposta.store', 'freundin.ru', 'giyam.com', 'gustr.com', 'hartbot.de', 'i6.cloudns.cc', 'i6.cloudns.cx', 'instantmail.fr', 'j7.cloudns.cx', 'jet-renovation.fr', 'jourrapide.com', 'jumonji.tk', 'klick-tipp.us', 'knol-power.nl', 'kodorsex.cf', 'last-chance.pro', 'level3.flu.cc', 'level3.igg.biz', 'level3.nut.cc', 'level3.usa.cc', 'm5s.flu.cc', 'm5s.igg.biz', 'm5s.nut.cc', 'mail-easy.fr', 'mail707.com', 'mailforspam.com', 'mbox.0x01.tk', 'my.safe-mail.gq', 'mytempemail.com', 'nwytg.com', 'ourawesome.life', 'pfui.ru', 'photo-impact.eu', 'posta.store', 'premium-mail.fr', 'pw.j7.cloudns.cx', 'pw.mymy.cf', 'pw.mysafe.ml', 'rhyta.com', 'rr.0x01.gq', 's-s.flu.cc', 's-s.igg.biz', 's-s.nut.cc', 's-s.usa.cc', 's.0x01.gq', 's0ny.flu.cc', 's0ny.igg.biz', 's0ny.nut.cc', 's0ny.usa.cc', 'schmid.cf', 'skypaluten.de', 'smashmail.de', 'sohai.ml', 'solar-impact.pro', 'spam.0x01.tk', 'superrito.com', 'ss.0x01.tk', 'sweetxxx.de', 'tempr.email', 'ti.igg.biz', 'txpwg.usa.cc', 'txt.flu.cc', 'queuem.com', 'used-product.fr', 'vmani.com', 'wazabi.club', 'web-ideal.fr', 'webcontact-france.eu', 'wikidocuslava.ru', 'x.0x01.tk', 'yop.0x01.gq', 'zaktouni.fr', 'aditus.info', 'storiqax.com', 'air2token.com', 'b2bx.net', 'stelliteop.info', 'bitwhites.top', 'ethersportz.info', '2odem.com', 'storiqax.top', 'gifto12.com', '0-00.usa.cc', '001.igg.biz', '0815.ry', '0845.ru', '0v.ro', '0w.ro', '0x207.info', '1-8.biz', '1000rebates.stream', '100likers.com', '10mail.com', '10minut.com.pl', '10minut.xyz', '10minutemail.be', '10minutemail.cf', '10minutemail.co.uk', '10minutemail.co.za', '10minutemail.de', '10minutemail.ga', '10minutemail.gq', '10minutemail.ml', '10minutemail.net', '10minutemail.nl', '10minutemail.pro', '10minutemail.us', '10minutemailbox.com', '10minutemails.in', '10minutenemail.de', '10minutesmail.com', '10minutesmail.fr', '10minutmail.pl', '10x9.com', '11163.com', '123-m.com', '12hosting.net', '12houremail.com', '12minutemail.com', '12minutemail.net', '12storage.com', '140unichars.com', '147.cl', '14n.co.uk', '15qm.com', '1ce.us', '1chuan.com', '1clck2.com', '1fsdfdsfsdf.tk', '1mail.ml', '1pad.de', '1st-forms.com', '1to1mail.org', '1usemail.com', '1webmail.info', '1zhuan.com', '2.0-00.usa.cc', '20email.eu', '20email.it', '20mail.eu', '20mail.in', '20mail.it', '20mm.eu', '2120001.net', '21cn.com', '24hourmail.com', '24hourmail.net', '2anom.com', '2ether.net', '2fdgdfgdfgdf.tk', '2wc.info', '300book.info', '30mail.ir', '30wave.com', '3202.com', '333.igg.biz', '36ru.com', '3l6.com', '3mail.ga', '3trtretgfrfe.tk', '4-n.us', '4057.com', '418.dk', '42o.org', '4gfdsgfdgfd.tk', '4mail.cf', '4mail.ga', '4tb.host', '55hosting.net', '5ghgfhfghfgh.tk', '5gramos.com', '5july.org', '5mail.cf', '5mail.ga', '5oz.ru', '5x25.com', '5ymail.com', '672643.net', '6hjgjhgkilkj.tk', '6ip.us', '6mail.cf', '6mail.ga', '6mail.ml', '6paq.com', '7days-printing.com', '7mail.ga', '7mail.ml', '80665.com', '8127ep.com', '8mail.cf', '8mail.ga', '8mail.ml', '99.com', '99experts.com', '9mail.cf', '9me.site', '9q.ro', 'a45.in', 'a7996.com', 'aa5zy64.com', 'ab0.igg.biz', 'abacuswe.us', 'abakiss.com', 'abcmail.email', 'abilitywe.us', 'abnamro.usa.cc', 'abovewe.us', 'absolutewe.us', 'abundantwe.us', 'abusemail.de', 'abuser.eu', 'ac20mail.in', 'academiccommunity.com', 'academywe.us', 'acceleratewe.us', 'accentwe.us', 'acceptwe.us', 'acclaimwe.us', 'accordwe.us', 'accreditedwe.us', 'acentri.com', 'achievementwe.us', 'achievewe.us', 'acornwe.us', 'acrylicwe.us', 'activatewe.us', 'activitywe.us', 'acuitywe.us', 'acumenwe.us', 'adaptivewe.us', 'adaptwe.us', 'add3000.pp.ua', 'addictingtrailers.com', 'adeptwe.us', 'adiq.eu', 'admiralwe.us', 'ado888.biz', 'adobeccepdm.com', 'adoniswe.us', 'adpugh.org', 'adsd.org', 'adubiz.info', 'advantagewe.us', 'advantimo.com', 'adventurewe.us', 'adventwe.us', 'advisorwe.us', 'advocatewe.us', 'adwaterandstir.com', 'aegde.com', 'aegia.net', 'aegiscorp.net', 'aegiswe.us', 'aelo.es', 'aeonpsi.com', 'affiliate-nebenjob.info', 'affiliatedwe.us', 'affinitywe.us', 'affluentwe.us', 'affordablewe.us', 'afterhourswe.us', 'agedmail.com', 'agendawe.us', 'agger.ro', 'agilewe.us', 'agorawe.us', 'agtx.net', 'aheadwe.us', 'airsi.de', 'akapost.com', 'akerd.com', 'akgq701.com', 'al-qaeda.us', 'albionwe.us', 'alchemywe.us', 'alfaromeo.igg.biz', 'aliaswe.us', 'alienware13.com', 'aligamel.com', 'alisongamel.com', 'alivance.com', 'alivewe.us', 'allaccesswe.us', 'allamericanwe.us', 'allaroundwe.us', 'alldirectbuy.com', 'allegiancewe.us', 'allegrowe.us', 'allgoodwe.us', 'alliancewe.us', 'allinonewe.us', 'allofthem.net', 'alloutwe.us', 'allowed.org', 'alloywe.us', 'allprowe.us', 'allseasonswe.us', 'allstarwe.us', 'allthegoodnamesaretaken.org', 'allurewe.us', 'almondwe.us', 'alph.wtf', 'alphaomegawe.us', 'alpinewe.us', 'altairwe.us', 'altitudewe.us', 'altuswe.us', 'ama-trade.de', 'ama-trans.de', 'amadeuswe.us', 'amail.com', 'amail4.me', 'amazon-aws.org', 'amberwe.us', 'ambiancewe.us', 'ambitiouswe.us', 'amelabs.com', 'americanawe.us', 'americasbestwe.us', 'americaswe.us', 'amicuswe.us', 'amplewe.us', 'amplifiedwe.us', 'amplifywe.us', 'ampsylike.com', 'analogwe.us', 'analysiswe.us', 'analyticalwe.us', 'analyticswe.us', 'analyticwe.us', 'anappfor.com', 'anappthat.com', 'andreihusanu.ro', 'andthen.us', 'animesos.com', 'anit.ro', 'ano-mail.net', 'anon-mail.de', 'anonmails.de', 'anonymail.dk', 'anonymized.org', 'anonymousness.com', 'ansibleemail.com', 'anthony-junkmail.com', 'antireg.com', 'antireg.ru', 'antispam24.de', 'antispammail.de', 'anyalias.com', 'aoeuhtns.com', 'apfelkorps.de', 'aphlog.com', 'apkmd.com', 'appc.se', 'appinventor.nl', 'appixie.com', 'apps.dj', 'arduino.hk', 'ariaz.jetzt', 'aron.us', 'arroisijewellery.com', 'artman-conception.com', 'arurgitu.gq', 'arvato-community.de', 'aschenbrandt.net', 'asdasd.nl', 'asdasd.ru', 'ashleyandrew.com', 'asiarap.usa.cc', 'asorent.com', 'ass.pp.ua', 'astonut.tk', 'astroempires.info', 'asu.mx', 'asu.su', 'at0mik.org', 'audi.igg.biz', 'augmentationtechnology.com', 'ausgefallen.info', 'auti.st', 'autorobotica.com', 'autotwollow.com', 'aver.com', 'averdov.com', 'avia-tonic.fr', 'avls.pt', 'awatum.de', 'awiki.org', 'axiz.org', 'axon7zte.com', 'axsup.net', 'azcomputerworks.com', 'b1of96u.com', 'b2cmail.de', 'badgerland.eu', 'badoop.com', 'badpotato.tk', 'banit.club', 'bareed.ws', 'bartdevos.be', 'basscode.org', 'bauwerke-online.com', 'bazaaboom.com', 'bbbbyyzz.info', 'bbhost.us', 'bcast.ws', 'bcb.ro', 'bccto.me', 'bdmuzic.pw', 'bearsarefuzzy.com', 'beddly.com', 'belamail.org', 'belljonestax.com', 'benipaula.org', 'bestchoiceusedcar.com', 'bestoption25.club', 'betr.co', 'bgtmail.com', 'bgx.ro', 'bidourlnks.com', 'big1.us', 'bigprofessor.so', 'bigstring.com', 'bigwhoop.co.za', 'bij.pl', 'binnary.com', 'bio-muesli.info', 'bitymails.us', 'blackmarket.to', 'bladesmail.net', 'blip.ch', 'blnkt.net', 'blogmyway.org', 'blogspam.ro', 'blow-job.nut.cc', 'bluedumpling.info', 'bluewerks.com', 'boatmail.us', 'bobmurchison.com', 'bonobo.email', 'bookthemmore.com', 'bootybay.de', 'borged.com', 'borged.net', 'borged.org', 'bot.nu', 'boun.cr', 'bouncr.com', 'boxformail.in', 'boxtemp.com.br', 'brandallday.net', 'brasx.org', 'breakthru.com', 'brennendesreich.de', 'briggsmarcus.com', 'bspamfree.org', 'bspooky.com', 'bst-72.com', 'btb-notes.com', 'btc.email', 'btcmail.pw', 'btizet.pl', 'buffemail.com', 'bugmenever.com', 'bulrushpress.com', 'bum.net', 'bunchofidiots.com', 'bund.us', 'bundes-li.ga', 'bunsenhoneydew.com', 'burnthespam.info', 'burstmail.info', 'businessbackend.com', 'businesssuccessislifesuccess.com', 'buspad.org', 'bussitussi.com', 'buymoreplays.com', 'buyordie.info', 'buyusedlibrarybooks.org', 'buzzcluby.com', 'byebyemail.com', 'byespm.com', 'c51vsgq.com', 'cachedot.net', 'californiafitnessdeals.com', 'cam4you.cc', 'camping-grill.info', 'candymail.de', 'cane.pw', 'car101.pro', 'carbtc.net', 'carsencyclopedia.com', 'caseedu.tk', 'cavi.mx', 'cbair.com', 'cc-cc.usa.cc', 'cc.liamria', 'cdpa.cc', 'ceed.se', 'cek.pm', 'cellurl.com', 'cetpass.com', 'ch.tc', 'chaichuang.com', 'chalupaurybnicku.cz', 'chammy.info', 'cheaphub.net', 'cheatmail.de', 'chibakenma.ml', 'chickenkiller.com', 'chielo.com', 'childsavetrust.org', 'chilkat.com', 'chithinh.com', 'chong-mail.com', 'chong-mail.net', 'chong-mail.org', 'chumpstakingdumps.com', 'cigar-auctions.com', 'civx.org', 'cjpeg.com', 'ckiso.com', 'cl-cl.org', 'cl0ne.net', 'clandest.in', 'clearwatermail.info', 'clickdeal.co', 'clipmail.eu', 'clixser.com', 'cmail.com', 'cmail.net', 'cmail.org', 'cnamed.com', 'cnew.ir', 'cnmsg.net', 'cnsds.de', 'cobarekyo1.ml', 'cocovpn.com', 'codeandscotch.com', 'codivide.com', 'coieo.com', 'coldemail.info', 'compareshippingrates.org', 'completegolfswing.com', 'comwest.de', 'consumerriot.com', 'coolandwacky.us', 'coolimpool.org', 'coreclip.com', 'coza.ro', 'crankhole.com', 'crapmail.org', 'crastination.de', 'crazespaces.pw', 'crazymailing.com', 'cross-law.ga', 'cross-law.gq', 'crossroadsmail.com', 'crusthost.com', 'csh.ro', 'cszbl.com', 'ctmailing.us', 'ctos.ch', 'cu.cc', 'cuirushi.org', 'curlhph.tk', 'cutout.club', 'cylab.org', 'd1yun.com', 'd3p.dk', 'dab.ro', 'daemsteam.com', 'daibond.info', 'daintly.com', 'damai.webcam', 'dammexe.net', 'darkharvestfilms.com', 'daryxfox.net', 'dash-pads.com', 'dataarca.com', 'datarca.com', 'datazo.ca', 'datum2.com', 'davidkoh.net', 'davidlcreative.com', 'dawin.com', 'dbunker.com', 'dcemail.com', 'ddcrew.com', 'de-a.org', 'deadchildren.org', 'deadfake.cf', 'deadfake.ga', 'deadfake.ml', 'deadfake.tk', 'deagot.com', 'dealja.com', 'dealrek.com', 'deekayen.us', 'defomail.com', 'degradedfun.net', 'delayload.com', 'delayload.net', 'delikkt.de', 'demen.ml', 'dengekibunko.ga', 'dengekibunko.gq', 'dengekibunko.ml', 'der-kombi.de', 'derkombi.de', 'derluxuswagen.de', 'dev-null.cf', 'dev-null.ga', 'dev-null.gq', 'dev-null.ml', 'deyom.com', 'dharmatel.net', 'dhm.ro', 'dhy.cc', 'dialogus.com', 'diapaulpainting.com', 'digitalesbusiness.info', 'digitalmariachis.com', 'dildosfromspace.com', 'dingbone.com', 'disaq.com', 'disbox.org', 'discard.cf', 'discard.ga', 'discard.gq', 'discard.ml', 'discard.tk', 'dispo.in', 'dispomail.eu', 'disposable-email.ml', 'disposable.cf', 'disposable.ga', 'disposable.ml', 'disposableemailaddresses.com', 'disposableinbox.com', 'disposablemails.com', 'dispose.it', 'divad.ga', 'divermail.com', 'divismail.ru', 'diwaq.com', 'dlemail.ru', 'dmarc.ro', 'dndent.com', 'dnses.ro', 'dob.jp', 'dodgemail.de', 'dodsi.com', 'doiea.com', 'dolphinnet.net', 'domforfb1.tk', 'domforfb18.tk', 'domforfb19.tk', 'domforfb2.tk', 'domforfb23.tk', 'domforfb27.tk', 'domforfb29.tk', 'domforfb3.tk', 'domforfb4.tk', 'domforfb5.tk', 'domforfb6.tk', 'domforfb7.tk', 'domforfb8.tk', 'domforfb9.tk', 'domozmail.com', 'dongqing365.com', 'doquier.tk', 'dotman.de', 'dotmsg.com', 'dotslashrage.com', 'douchelounge.com', 'dozvon-spb.ru', 'dp76.com', 'dr69.site', 'drdrb.com', 'drdrb.net', 'dred.ru', 'drevo.si', 'drivetagdev.com', 'droolingfanboy.de', 'dropcake.de', 'droplar.com', 'dsiay.com', 'dspwebservices.com', 'duam.net', 'dudmail.com', 'duk33.com', 'dukedish.com', 'durandinterstellar.com', 'duskmail.com', 'dwse.edu.pl', 'dyceroprojects.com', 'dz17.net', 'e-mail.com', 'e-mail.igg.biz', 'e-mail.org', 'e-tomarigi.com', 'e3z.de', 'easy-trash-mail.com', 'easynetwork.info', 'easytrashmail.com', 'eatmea2z.club', 'eay.jp', 'ebeschlussbuch.de', 'ecallheandi.com', 'edgex.ru', 'edinburgh-airporthotels.com', 'edv.to', 'ee1.pl', 'ee2.pl', 'efxs.ca', 'einmalmail.de', 'einrot.de', 'eintagsmail.de', 'elearningjournal.org', 'electro.mn', 'elitevipatlantamodels.com', 'email-fake.cf', 'email-fake.com', 'email-fake.ga', 'email-fake.gq', 'email-fake.ml', 'email-fake.tk', 'email-jetable.fr', 'email-temp.com', 'email.cbes.net', 'email.net', 'emailage.cf', 'emailage.ga', 'emailage.gq', 'emailage.ml', 'emailage.tk', 'emailfake.ml', 'emailfake.nut.cc', 'emailfreedom.ml', 'emailgo.de', 'emailisvalid.com', 'emaillime.com', 'emailproxsy.com', 'emailresort.com', 'emails.ga', 'emailsecurer.com', 'emailsingularity.net', 'emailspam.cf', 'emailspam.ga', 'emailspam.gq', 'emailspam.ml', 'emailspam.tk', 'emailtech.info', 'emailtemporanea.com', 'emailtemporanea.net', 'emailtemporar.ro', 'emailthe.net', 'emailtmp.com', 'emailure.net', 'emailz.cf', 'emailz.ga', 'emailz.gq', 'emailz.ml', 'emeraldwebmail.com', 'emil.com', 'emkei.cf', 'emkei.ga', 'emkei.gq', 'emkei.ml', 'emkei.tk', 'eml.pp.ua', 'empireanime.ga', 'envy17.com', 'epb.ro', 'ephemeral.email', 'eqiluxspam.ga', 'ericjohnson.ml', 'ero-tube.org', 'esc.la', 'escapehatchapp.com', 'esemay.com', 'esgeneri.com', 'esprity.com', 'eth2btc.info', 'ether123.net', 'ethereum1.top', 'ethersports.org', 'etlgr.com', 'euaqa.com', 'evanfox.info', 'evilcomputer.com', 'evopo.com', 'evyush.com', 'exitstageleft.net', 'express.net.ua', 'extremail.ru', 'eyepaste.com', 'ez.lv', 'ezfill.com', 'ezstest.com', 'f4k.es', 'facebook-email.cf', 'facebook-email.ga', 'facebook-email.ml', 'facebookmail.gq', 'facebookmail.ml', 'fackme.gq', 'fadingemail.com', 'faecesmail.me', 'fag.wf', 'failbone.com', 'faithkills.com', 'fake-email.pp.ua', 'fake-mail.cf', 'fake-mail.ga', 'fake-mail.ml', 'fakedemail.com', 'fakeinbox.cf', 'fakeinbox.ga', 'fakeinbox.info', 'fakeinbox.ml', 'fakeinbox.tk', 'fakemail.fr', 'fakemailgenerator.com', 'fakemailz.com', 'fammix.com', 'fangoh.com', 'fansworldwide.de', 'fantasymail.de', 'farrse.co.uk', 'fasternet.biz', 'fatflap.com', 'fbma.tk', 'fbmail.usa.cc', 'fddns.ml', 'fdfdsfds.com', 'fer-gabon.org', 'fettometern.com', 'fictionsite.com', 'fightallspam.com', 'figjs.com', 'figshot.com', 'fiifke.de', 'filbert4u.com', 'filberts4u.com', 'film-blog.biz', 'findu.pl', 'fir.hk', 'fivemail.de', 'fixmail.tk', 'flemail.ru', 'flowu.com', 'flu-cc.flu.cc', 'flucc.flu.cc', 'fluidsoft.us', 'flurred.com', 'fly-ts.de', 'flyinggeek.net', 'flyspam.com', 'foobarbot.net', 'footard.com', 'forecastertests.com', 'foreskin.cf', 'foreskin.ga', 'foreskin.gq', 'foreskin.ml', 'foreskin.tk', 'forgetmail.com', 'fornow.eu', 'forspam.net', 'forward.cat', 'foxja.com', 'foxtrotter.info', 'fr.nf', 'free-email.cf', 'free-email.ga', 'freebabysittercam.com', 'freeblackbootytube.com', 'freecat.net', 'freedom4you.info', 'freedompop.us', 'freefattymovies.com', 'freelance-france.eu', 'freeletter.me', 'freemail.ms', 'freemail.tweakly.net', 'freemails.cf', 'freemails.ga', 'freemails.ml', 'freemailzone.com', 'freeplumpervideos.com', 'freeschoolgirlvids.com', 'freesistercam.com', 'freeteenbums.com', 'friendlymail.co.uk', 'ftp.sh', 'ftpinc.ca', 'fuckedupload.com', 'fuckingduh.com', 'fuckme69.club', 'fucknloveme.top', 'fuckxxme.top', 'fudgerub.com', 'fuirio.com', 'fulvie.com', 'fun64.com', 'funnycodesnippets.com', 'funnymail.de', 'furzauflunge.de', 'fxnxs.com', 'fyii.de', 'g14l71lb.com', 'g1xmail.top', 'g2xmail.top', 'g3xmail.top', 'g4hdrop.us', 'gafy.net', 'gaggle.net', 'galaxy.tv', 'gally.jp', 'gamail.top', 'gamegregious.com', 'gamgling.com', 'garasikita.pw', 'garbagecollector.org', 'garbagemail.org', 'gardenscape.ca', 'garizo.com', 'garrymccooey.com', 'gav0.com', 'gawab.com', 'gbcmail.win', 'gbmail.top', 'gcmail.top', 'gdmail.top', 'gedmail.win', 'geekforex.com', 'geew.ru', 'gehensiemirnichtaufdensack.de', 'geldwaschmaschine.de', 'gelitik.in', 'gen.uu.gl', 'genderfuck.net', 'geronra.com', 'geschent.biz', 'get-mail.cf', 'get-mail.ga', 'get-mail.ml', 'get-mail.tk', 'get.pp.ua', 'getairmail.cf', 'getairmail.ga', 'getairmail.gq', 'getairmail.ml', 'getairmail.tk', 'geteit.com', 'getfun.men', 'getmails.eu', 'getnada.com', 'getnowtoday.cf', 'giacmosuaviet.info', 'giaiphapmuasam.com', 'giantmail.de', 'ginzi.be', 'ginzi.co.uk', 'ginzi.es', 'ginzi.net', 'ginzy.co.uk', 'ginzy.eu', 'girlmail.win', 'girlsindetention.com', 'giveh2o.info', 'givmail.com', 'glitch.sx', 'globaltouron.com', 'glubex.com', 'glucosegrin.com', 'gmal.com', 'gmatch.org', 'gmial.com', 'gmx.fr.nf', 'gmx1mail.top', 'gmxmail.top', 'gmxmail.win', 'gnctr-calgary.com', 'go2usa.info', 'go2vpn.net', 'goemailgo.com', 'golemico.com', 'gomail.in', 'gorillaswithdirtyarmpits.com', 'goround.info', 'gothere.biz', 'gotmail.com', 'gotmail.net', 'gotmail.org', 'grandmamail.com', 'grandmasmail.com', 'greenhousemail.com', 'greggamel.com', 'greggamel.net', 'gregorsky.zone', 'gregorygamel.com', 'gregorygamel.net', 'grish.de', 'griuc.schule', 'gs-arc.org', 'gsredcross.org', 'gsxstring.ga', 'gudanglowongan.com', 'guerillamail.de', 'guerillamail.info', 'guerillamailblock.com', 'gxemail.men', 'gynzi.co.uk', 'gynzi.es', 'gynzy.at', 'gynzy.es', 'gynzy.eu', 'gynzy.gr', 'gynzy.info', 'gynzy.lt', 'gynzy.mobi', 'gynzy.pl', 'gynzy.ro', 'gynzy.sk', 'gzb.ro', 'habitue.net', 'hacccc.com', 'hackersquad.tk', 'hackthatbit.ch', 'hahawrong.com', 'haida-edu.cn', 'hangxomcuatoilatotoro.ml', 'harakirimail.com', 'haribu.com', 'hasanmail.ml', 'hat-geld.de', 'hawrong.com', 'haydoo.com', 'hazelnut4u.com', 'hazelnuts4u.com', 'hazmatshipping.org', 'hccmail.win', 'headstrong.de', 'heathenhammer.com', 'heathenhero.com', 'hecat.es', 'hellodream.mobi', 'helloricky.com', 'helpinghandtaxcenter.org', 'herp.in', 'herpderp.nl', 'hi5.si', 'hiddentragedy.com', 'hidebox.org', 'hidemail.pro', 'hidemail.us', 'hidzz.com', 'highbros.org', 'hmail.us', 'hmamail.com', 'hmh.ro', 'hoanggiaanh.com', 'hoanglong.tech', 'hola.org', 'holl.ga', 'honor-8.com', 'hopemail.biz', 'hornyalwary.top', 'hostlaba.com', 'hot-mail.cf', 'hot-mail.ga', 'hot-mail.gq', 'hot-mail.ml', 'hot-mail.tk', 'hotmai.com', 'hotmial.com', 'hotprice.co', 'housat.com', 'hpc.tw', 'hs.vc', 'ht.cx', 'huangniu8.com', 'hukkmu.tk', 'humaility.com', 'humn.ws.gy', 'hungpackage.com', 'hushmail.cf', 'huskion.net', 'hvastudiesucces.nl', 'hwsye.net', 'i-phone.nut.cc', 'iaoss.com', 'ibnuh.bz', 'icantbelieveineedtoexplainthisshit.com', 'icx.in', 'icx.ro', 'ieh-mail.de', 'ige.es', 'ignoremail.com', 'ihazspam.ca', 'ikbenspamvrij.nl', 'illistnoise.com', 'ilovespam.com', 'imgof.com', 'imgv.de', 'imstations.com', 'imul.info', 'inbound.plus', 'inbox.si', 'inbox2.info', 'inboxbear.com', 'inboxdesign.me', 'inboxed.im', 'inboxed.pw', 'inboxproxy.com', 'inboxstore.me', 'inclusiveprogress.com', 'incq.com', 'ind.st', 'indieclad.com', 'indirect.ws', 'indomaed.pw', 'indomina.cf', 'indoserver.stream', 'indosukses.press', 'ineec.net', 'infocom.zp.ua', 'inggo.org', 'inoutmail.de', 'inoutmail.eu', 'inoutmail.info', 'inoutmail.net', 'insanumingeniumhomebrew.com', 'instant-mail.de', 'instantblingmail.info', 'instantemailaddress.com', 'internetoftags.com', 'interstats.org', 'intersteller.com', 'investore.co', 'iozak.com', 'ip4.pp.ua', 'ip6.li', 'ip6.pp.ua', 'ippandansei.tk', 'ipsur.org', 'irabops.com', 'irc.so', 'iroid.com', 'ironiebehindert.de', 'irssi.tv', 'is.af', 'isdaq.com', 'isosq.com', 'isukrainestillacountry.com', 'it7.ovh', 'italy-mail.com', 'itunesgiftcodegenerator.com', 'iuemail.men', 'ixx.io', 'j-p.us', 'j8k2.usa.cc', 'jafps.com', 'jajxz.com', 'jamesbond.flu.cc', 'jamesbond.igg.biz', 'jamesbond.nut.cc', 'jamesbond.usa.cc', 'jdmadventures.com', 'jdz.ro', 'jeie.igg.biz', 'jellow.ml', 'jellyrolls.com', 'jetable.pp.ua', 'jmail.ovh', 'jmail.ro', 'jobbikszimpatizans.hu', 'jobposts.net', 'jobs-to-be-done.net', 'joelpet.com', 'joetestalot.com', 'jopho.com', 'joseihorumon.info', 'josse.ltd', 'jpco.org', 'jsrsolutions.com', 'jungkamushukum.com', 'junk.to', 'junkmail.ga', 'junkmail.gq', 'justemail.ml', 'juyouxi.com', 'jwork.ru', 'kademen.com', 'kadokawa.cf', 'kadokawa.ga', 'kadokawa.gq', 'kadokawa.ml', 'kadokawa.tk', 'kakadua.net', 'kalapi.org', 'kamsg.com', 'kaovo.com', 'kappala.info', 'karatraman.ml', 'kariplan.com', 'kartvelo.com', 'katztube.com', 'kazelink.ml', 'kcrw.de', 'keinhirn.de', 'keipino.de', 'kekita.com', 'kemptvillebaseball.com', 'kennedy808.com', 'kiani.com', 'kimsdisk.com', 'kingsq.ga', 'kiois.com', 'kiryubox.cu.cc', 'kismail.ru', 'kisstwink.com', 'kitnastar.com', 'klipschx12.com', 'kloap.com', 'kludgemush.com', 'kmhow.com', 'kommunity.biz', 'kon42.com', 'kook.ml', 'kopagas.com', 'kopaka.net', 'kosmetik-obatkuat.com', 'kostenlosemailadresse.de', 'krd.ag', 'krsw.tk', 'krypton.tk', 'ks87.igg.biz', 'ks87.usa.cc', 'ksmtrck.tk', 'kuhrap.com', 'kwift.net', 'kwilco.net', 'kyal.pl', 'kyois.com', 'l-c-a.us', 'l33r.eu', 'labetteraverouge.at', 'lacedmail.com', 'lackmail.net', 'lackmail.ru', 'lacto.info', 'lags.us', 'lain.ch', 'lak.pp.ua', 'lakelivingstonrealestate.com', 'landmail.co', 'laoeq.com', 'lastmail.co', 'lastmail.com', 'lawlita.com', 'lazyinbox.com', 'lazyinbox.us', 'ldaho.net', 'ldop.com', 'ldtp.com', 'lee.mx', 'leeching.net', 'lellno.gq', 'lenovog4.com', 'letmeinonthis.com', 'lez.se', 'lgxscreen.com', 'liamcyrus.com', 'lifetimefriends.info', 'lifetotech.com', 'ligsb.com', 'lillemap.net', 'lilo.me', 'lindenbaumjapan.com', 'linkedintuts2016.pw', 'linuxmail.so', 'lkgn.se', 'llogin.ru', 'loadby.us', 'loan101.pro', 'loaoa.com', 'loapq.com', 'locanto1.club', 'locantofuck.top', 'locantowsite.club', 'locomodev.net', 'login-email.cf', 'login-email.ga', 'login-email.ml', 'login-email.tk', 'logular.com', 'loh.pp.ua', 'loin.in', 'lolfreak.net', 'lolmail.biz', 'lordsofts.com', 'losemymail.com', 'lovemeet.faith', 'lovemeleaveme.com', 'lpfmgmtltd.com', 'lr7.us', 'lroid.com', 'lru.me', 'luckymail.org', 'lukecarriere.com', 'lukemail.info', 'lukop.dk', 'luv2.us', 'lyfestylecreditsolutions.com', 'lzoaq.com', 'm21.cc', 'macromaid.com', 'macromice.info', 'magamail.com', 'maggotymeat.ga', 'magicbox.ro', 'maidlow.info', 'mail-filter.com', 'mail-owl.com', 'mail-temporaire.com', 'mail.wtf', 'mail0.ga', 'mail114.net', 'mail1a.de', 'mail21.cc', 'mail22.club', 'mail666.ru', 'mail72.com', 'mailback.com', 'mailbiz.biz', 'mailbox80.biz', 'mailbox82.biz', 'mailbox92.biz', 'mailbucket.org', 'mailcat.biz', 'mailchop.com', 'mailcker.com', 'mailde.de', 'mailde.info', 'maildrop.cf', 'maildrop.ga', 'maildrop.gq', 'maildrop.ml', 'maildu.de', 'maildx.com', 'mailed.in', 'mailed.ro', 'maileimer.de', 'maileme101.com', 'mailf5.com', 'mailfree.ga', 'mailfree.gq', 'mailfree.ml', 'mailguard.me', 'mailgutter.com', 'mailhazard.com', 'mailhazard.us', 'mailhz.me', 'mailimate.com', 'mailinatar.com', 'mailinator.co.uk', 'mailinator.gq', 'mailinator.info', 'mailinator.org', 'mailinator.us', 'mailinator.usa.cc', 'mailinator0.com', 'mailinator1.com', 'mailinator2.net', 'mailinator3.com', 'mailinator4.com', 'mailinator5.com', 'mailinator6.com', 'mailinator7.com', 'mailinator8.com', 'mailinator9.com', 'mailismagic.com', 'mailita.tk', 'mailjunk.cf', 'mailjunk.ga', 'mailjunk.gq', 'mailjunk.ml', 'mailjunk.tk', 'mailmate.com', 'mailme.gq', 'mailme24.com', 'mailmoth.com', 'mailms.com', 'mailna.biz', 'mailna.co', 'mailna.in', 'mailna.me', 'mailonaut.com', 'mailorc.com', 'mailorg.org', 'mailpick.biz', 'mailpooch.com', 'mailproxsy.com', 'mailquack.com', 'mailrock.biz', 'mailsac.com', 'mailscrap.com', 'mailseal.de', 'mailslapping.com', 'mailsucker.net', 'mailtechx.com', 'mailtemp.info', 'mailtemporaire.com', 'mailtemporaire.fr', 'mailtome.de', 'mailtothis.com', 'mailtraps.com', 'mailtrash.net', 'mailtrix.net', 'mailtv.net', 'mailtv.tv', 'mailzi.ru', 'mailzilla.orgmbx.cc', 'mainerfolg.info', 'makemenaughty.club', 'makemetheking.com', 'malahov.de', 'malayalamdtp.com', 'mandraghen.cf', 'manifestgenerator.com', 'mansiondev.com', 'manybrain.com', 'markmurfin.com', 'masonline.info', 'maswae.world', 'matamuasu.ga', 'matchpol.net', 'mcache.net', 'mciek.com', 'mdhc.tk', 'mebelnu.info', 'mechanicalresumes.com', 'meepsheep.eu', 'messwiththebestdielikethe.rest', 'mezimages.net', 'mfsa.info', 'mfsa.ru', 'miaferrari.com', 'miauj.com', 'midcoastcustoms.com', 'midcoastcustoms.net', 'midcoastsolutions.com', 'midcoastsolutions.net', 'midlertidig.com', 'midlertidig.net', 'midlertidig.org', 'migmail.net', 'migumail.com', 'mihep.com', 'mijnhva.nl', 'ministry-of-silly-walks.de', 'minsmail.com', 'misterpinball.de', 'mji.ro', 'mjukglass.nu', 'mkpfilm.com', 'ml8.ca', 'mm.my', 'mm5.se', 'mnode.me', 'moakt.co', 'moakt.com', 'moakt.ws', 'mobileninja.co.uk', 'mobilevpn.top', 'mockmyid.com', 'moeri.org', 'mohmal.com', 'mohmal.im', 'mohmal.in', 'mohmal.tech', 'momentics.ru', 'monachat.tk', 'monadi.ml', 'moneypipe.net', 'monumentmail.com', 'moonwake.com', 'moot.es', 'moreawesomethanyou.com', 'moreorcs.com', 'morriesworld.ml', 'morsin.com', 'motique.de', 'mountainregionallibrary.net', 'mox.pp.ua', 'moza.pl', 'mozej.com', 'mp-j.ga', 'mp-j.igg.biz', 'mp.igg.biz', 'mr24.co', 'msgos.com', 'mspeciosa.com', 'msrc.ml', 'mswork.ru', 'msxd.com', 'mtmdev.com', 'muathegame.com', 'muchomail.com', 'mucincanon.com', 'munoubengoshi.gq', 'mutant.me', 'mvrht.com', 'mvrht.net', 'mwarner.org', 'mxfuel.com', 'my10minutemail.com', 'mybitti.de', 'mycorneroftheinter.net', 'myde.ml', 'mydemo.equipment', 'myecho.es', 'myemailboxy.com', 'myindohome.services', 'myinterserver.ml', 'mykickassideas.com', 'mymail-in.net', 'mymailoasis.com', 'mynetstore.de', 'myopang.com', 'mypacks.net', 'mysamp.de', 'mystvpn.com', 'mytempmail.com', 'mywarnernet.net', 'myzx.com', 'mziqo.com', 'n1nja.org', 'nabuma.com', 'nakedtruth.biz', 'nanonym.ch', 'nationalgardeningclub.com', 'nawmin.info', 'negated.com', 'netricity.nl', 'netris.net', 'netviewer-france.com', 'nevermail.de', 'newbpotato.tk', 'newideasfornewpeople.info', 'next.ovh', 'nextstopvalhalla.com', 'nezdiro.org', 'nezzart.com', 'nfast.net', 'nguyenusedcars.com', 'nh3.ro', 'nice-4u.com', 'nicknassar.com', 'nincsmail.com', 'nincsmail.hu', 'niwl.net', 'nm7.cc', 'nmail.cf', 'nnh.com', 'nnot.net', 'nnoway.ru', 'no-ux.com', 'noblepioneer.com', 'nobugmail.com', 'nobuma.com', 'nodezine.com', 'noicd.com', 'nokiamail.com', 'nolemail.ga', 'nomail.cf', 'nomail.ga', 'nomail.pw', 'nonspam.eu', 'nonspammer.de', 'nonze.ro', 'noref.in', 'norseforce.com', 'nothingtoseehere.ca', 'notrnailinator.com', 'notsharingmy.info', 'now.im', 'nowhere.org', 'ntlhelp.net', 'nubescontrol.com', 'nullbox.info', 'nut-cc.nut.cc', 'nutcc.nut.cc', 'nutpa.net', 'nuts2trade.com', 'ny7.me', 'nypato.com', 'o2stk.org', 'o7i.net', 'obfusko.com', 'obxpestcontrol.com', 'odaymail.com', 'odem.com', 'odnorazovoe.ru', 'oepia.com', 'oerpub.org', 'offshore-proxies.net', 'ohaaa.de', 'ohi.tw', 'oing.cf', 'okclprojects.com', 'okrent.us', 'okzk.com', 'olypmall.ru', 'omail.pro', 'omnievents.org', 'one-time.email', 'one2mail.info', 'oneoffmail.com', 'onlatedotcom.info', 'onlineidea.info', 'onqin.com', 'ontyne.biz', 'oolus.com', 'opayq.com', 'opendns.ro', 'opmmedia.ga', 'opp24.com', 'oreidresume.com', 'oroki.de', 'oshietechan.link', 'ourpreviewdomain.com', 'outmail.win', 'ovi.usa.cc', 'ownsyou.de', 'oxopoha.com', 'ozyl.de', 'p71ce1m.com', 'pa9e.com', 'pagamenti.tk', 'pakadebu.ga', 'paplease.com', 'pastebitch.com', 'pavilionx2.com', 'payperex2.com', 'penisgoes.in', 'penoto.tk', 'pepbot.com', 'peterdethier.com', 'petrzilka.net', 'photomark.net', 'pi.vu', 'piaa.me', 'pig.pp.ua', 'pii.at', 'piki.si', 'pinehill-seattle.org', 'pingir.com', 'pisls.com', 'plexolan.de', 'plhk.ru', 'ploae.com', 'plw.me', 'pojok.ml', 'pokiemobile.com', 'polarkingxx.ml', 'pooae.com', 'poopiebutt.club', 'popesodomy.com', 'popgx.com', 'porsh.net', 'posdz.com', 'postacin.com', 'postonline.me', 'poutineyourface.com', 'powered.name', 'powlearn.com', 'predatorrat.cf', 'predatorrat.ga', 'predatorrat.gq', 'predatorrat.ml', 'predatorrat.tk', 'primabananen.net', 'privatdemail.net', 'privy-mail.com', 'privy-mail.de', 'privymail.de', 'pro-tag.org', 'procrackers.com', 'projectcl.com', 'proprietativalcea.ro', 'propscore.com', 'protempmail.com', 'proxyparking.com', 'prtz.eu', 'psh.me', 'psoxs.com', 'puglieisi.com', 'puji.pro', 'purcell.email', 'purelogistics.org', 'put2.net', 'putthisinyourspamdatabase.com', 'pwrby.com', 'qasti.com', 'qbfree.us', 'qc.to', 'qibl.at', 'qipmail.net', 'qisdo.com', 'qisoa.com', 'qoika.com', 'qq.my', 'qsl.ro', 'qtum-ico.com', 'quadrafit.com', 'quickmail.nl', 'ququb.com', 'qvy.me', 'qwickmail.com', 'r4nd0m.de', 'ra3.us', 'rabin.ca', 'rabiot.reisen', 'raetp9.com', 'raketenmann.de', 'rancidhome.net', 'randomail.net', 'raqid.com', 'rax.la', 'raxtest.com', 'razemail.com', 'rbb.org', 'rcasd.com', 'rdklcrv.xyz', 're-gister.com', 'reality-concept.club', 'reallymymail.com', 'realtyalerts.ca', 'rebates.stream', 'receiveee.com', 'recipeforfailure.com', 'reconmail.com', 'recyclemail.dk', 'reddit.usa.cc', 'redfeathercrow.com', 'reftoken.net', 'rejo.technology', 'reliable-mail.com', 'remail.cf', 'remail.ga', 'remarkable.rocks', 'remote.li', 'reptilegenetics.com', 'revolvingdoorhoax.org', 'richfinances.pw', 'riddermark.de', 'risingsuntouch.com', 'riski.cf', 'rma.ec', 'rnailinator.com', 'ro.lt', 'robertspcrepair.com', 'rollindo.agency', 'ronnierage.net', 'rootfest.net', 'rotaniliam.com', 'rowe-solutions.com', 'royal.net', 'royaldoodles.org', 'rtskiya.xyz', 'rudymail.ml', 'ruffrey.com', 'rumgel.com', 'runi.ca', 'rustydoor.com', 'rvb.ro', 's33db0x.com', 'sabrestlouis.com', 'sackboii.com', 'safaat.cf', 'safermail.info', 'saharanightstempe.com', 'salmeow.tk', 'samsclass.info', 'sandwhichvideo.com', 'sanfinder.com', 'sanim.net', 'sanstr.com', 'sast.ro', 'satisfyme.club', 'satukosong.com', 'sausen.com', 'sawoe.com', 'scatmail.com', 'scay.net', 'schachrol.com', 'schafmail.de', 'schmeissweg.tk', 'schrott-email.de', 'sd3.in', 'secmail.pw', 'secretemail.de', 'secure-box.info', 'secure-mail.biz', 'secure-mail.cc', 'secured-link.net', 'securehost.com.es', 'securemail.flu.cc', 'securemail.igg.biz', 'securemail.nut.cc', 'securemail.usa.cc', 'seekapps.com', 'seekjobs4u.com', 'sejaa.lv', 'selfdestructingmail.org', 'send22u.info', 'sendfree.org', 'sendingspecialflyers.com', 'sendspamhere.com', 'senseless-entertainment.com', 'server.ms', 'services391.com', 'sexforswingers.com', 'sexical.com', 'sexyalwasmi.top', 'shalar.net', 'sharedmailbox.org', 'shhmail.com', 'shhuut.org', 'shieldedmail.com', 'shieldemail.com', 'shipfromto.com', 'shiphazmat.org', 'shipping-regulations.com', 'shippingterms.org', 'shitmail.de', 'shitmail.org', 'shitware.nl', 'shmeriously.com', 'shotmail.ru', 'showslow.de', 'shrib.com', 'shut.name', 'shut.ws', 'sify.com', 'sikux.com', 'siliwangi.ga', 'simpleitsecurity.info', 'sin.cl', 'sinfiltro.cl', 'singlespride.com', 'sinnlos-mail.de', 'sino.tw', 'siteposter.net', 'sizzlemctwizzle.com', 'sjuaq.com', 'sky-inbox.com', 'sky-ts.de', 'slapsfromlastnight.com', 'slave-auctions.net', 'slippery.email', 'slipry.net', 'slothmail.net', 'slushmail.com', 'sluteen.com', 'sly.io', 'smallker.tk', 'smapfree24.com', 'smapfree24.de', 'smapfree24.eu', 'smapfree24.info', 'smapfree24.org', 'smarttalent.pw', 'smellrear.com', 'smellypotato.tk', 'smtp99.com', 'smwg.info', 'snapwet.com', 'sneakmail.de', 'socialfurry.org', 'socrazy.club', 'socrazy.online', 'sofortmail.de', 'softpls.asia', 'sohu.com', 'sohus.cn', 'soioa.com', 'soisz.com', 'solvemail.info', 'solventtrap.wiki', 'sonshi.cf', 'soodmail.com', 'soodomail.com', 'soon.it', 'spam-be-gone.com', 'spam.org.es', 'spamail.de', 'spamarrest.com', 'spambog.net', 'spambooger.com', 'spambox.org', 'spambox.me', 'spambox.xyz', 'tempmail.win', 'spamdecoy.net', 'spamfighter.cf', 'spamfighter.ga', 'spamfighter.gq', 'spamfighter.ml', 'spamfighter.tk', 'spamfree.eu', 'spamgoes.in', 'spamherelots.com', 'spamhereplease.com', 'spamlot.net', 'spamsalad.in', 'spamsphere.com', 'spamstack.net', 'spamtroll.net', 'spamwc.cf', 'spamwc.ga', 'spamwc.gq', 'spamwc.ml', 'speedgaus.net', 'spikio.com', 'spoofmail.de', 'spr.io', 'spritzzone.de', 'spybox.de', 'squizzy.de', 'squizzy.net', 'sroff.com', 'sry.li', 'ssoia.com', 'stanfordujjain.com', 'starlight-breaker.net', 'startfu.com', 'startkeys.com', 'statdvr.com', 'stathost.net', 'statiix.com', 'steambot.net', 'stexsy.com', 'stinkefinger.net', 'stop-my-spam.cf', 'stop-my-spam.com', 'stop-my-spam.ga', 'stop-my-spam.ml', 'stop-my-spam.pp.ua', 'stop-my-spam.tk', 'storj99.com', 'storj99.top', 'streetwisemail.com', 'stromox.com', 'stuckmail.com', 'stuffmail.de', 'stumpfwerk.com', 'suburbanthug.com', 'suckmyd.com', 'sudolife.me', 'sudolife.net', 'sudomail.biz', 'sudomail.com', 'sudomail.net', 'sudoverse.com', 'sudoverse.net', 'sudoweb.net', 'sudoworld.com', 'sudoworld.net', 'suioe.com', 'super-auswahl.de', 'superplatyna.com', 'superstachel.de', 'svip520.cn', 'svxr.org', 'sweetpotato.ml', 'swift10minutemail.com', 'sylvannet.com', 'symphonyresume.com', 'syosetu.gq', 'syujob.accountants', 'szerz.com', 'tafoi.gr', 'taglead.com', 'tagmymedia.com', 'talkinator.com', 'tanukis.org', 'tapchicuoihoi.com', 'taphear.com', 'tb-on-line.net', 'tech69.com', 'techemail.com', 'techgroup.me', 'teerest.com', 'tefl.ro', 'telecomix.pl', 'teleworm.us', 'tellos.xyz', 'temp-mail.com', 'temp-mail.de', 'temp-mail.org', 'temp-mail.pp.ua', 'temp-mail.ru', 'temp-mails.com', 'tempail.com', 'tempemail.co.za', 'tempemail.net', 'tempmail.co', 'tempmail.de', 'tempmail.eu', 'tempmail.pp.ua', 'tempmail.us', 'tempmaildemo.com', 'tempmailer.com', 'tempmailer.de', 'temporaryemail.us', 'temporarymailaddress.com', 'tempsky.com', 'tempthe.net', 'tempymail.com', 'ternaklele.ga', 'testore.co', 'testudine.com', 'thatim.info', 'thc.st', 'theaviors.com', 'thebearshark.com', 'thecloudindex.com', 'thediamants.org', 'thedirhq.info', 'thelightningmail.net', 'thelimestones.com', 'thembones.com.au', 'themostemail.com', 'thereddoors.online', 'thescrappermovie.com', 'theteastory.info', 'thex.ro', 'thietbivanphong.asia', 'thismail.net', 'thisurl.website', 'thnikka.com', 'thraml.com', 'thrma.com', 'throam.com', 'thrott.com', 'throwam.com', 'throwawaymail.pp.ua', 'throya.com', 'thunkinator.org', 'thxmate.com', 'tiapz.com', 'tic.ec', 'timgiarevn.com', 'timkassouf.com', 'tinoza.org', 'tinyurl24.com', 'tipsb.com', 'tittbit.in', 'tiv.cc', 'tizi.com', 'tkitc.de', 'tlpn.org', 'tmail.com', 'tmail.ws', 'tmails.net', 'tmpjr.me', 'tmpmail.org', 'toddsbighug.com', 'toiea.com', 'tokem.co', 'tokenmail.de', 'tonymanso.com', 'toomail.biz', 'top101.de', 'top1mail.ru', 'top1post.ru', 'topinrock.cf', 'topofertasdehoy.com', 'topranklist.de', 'toprumours.com', 'tormail.org', 'toss.pw', 'tosunkaya.com', 'totalvista.com', 'totesmail.com', 'totoan.info', 'tp-qa-mail.com', 'tqoai.com', 'tqosi.com', 'tranceversal.com', 'trash-mail.cf', 'trash-mail.ga', 'trash-mail.gq', 'trash-mail.ml', 'trash-mail.tk', 'trash-me.com', 'trash2010.com', 'trash2011.com', 'trashcanmail.com', 'trashdevil.com', 'trashdevil.de', 'trashemails.de', 'trashinbox.com', 'trashmail.gq', 'trashmail.io', 'trashmails.com', 'trasz.com', 'trayna.com', 'trbvm.com', 'trbvn.com', 'trbvo.com', 'trgovinanaveliko.info', 'trialmail.de', 'trickmail.net', 'trollproject.com', 'tropicalbass.info', 'trungtamtoeic.com', 'tryalert.com', 'ttszuo.xyz', 'tualias.com', 'turoid.com', 'tvchd.com', 'tverya.com', 'twkly.ml', 'twocowmail.net', 'twoweirdtricks.com', 'txtadvertise.com', 'tyhe.ro', 'uacro.com', 'ubismail.net', 'ubm.md', 'ucche.us', 'ucupdong.ml', 'uemail99.com', 'ufacturing.com', 'uguuchantele.com', 'uhhu.ru', 'uiu.us', 'ujijima1129.gq', 'uk.to', 'umail.net', 'undo.it', 'unids.com', 'unimark.org', 'unit7lahaina.com', 'unmail.ru', 'uploadnolimit.com', 'upozowac.info', 'urfunktion.se', 'uroid.com', 'us.af', 'us.to', 'usa-cc.usa.cc', 'usako.net', 'ushijima1129.cf', 'ushijima1129.ga', 'ushijima1129.gq', 'ushijima1129.ml', 'ushijima1129.tk', 'utiket.us', 'uu2.ovh', 'uwork4.us', 'uyhip.com', 'vaati.org', 'valemail.net', 'valhalladev.com', 'vankin.de', 'vctel.com', 'vda.ro', 'vdig.com', 'vemomail.win', 'veo.kr', 'ver0.cf', 'ver0.ga', 'ver0.gq', 'ver0.ml', 'ver0.tk', 'vercelli.cf', 'vercelli.ga', 'vercelli.gq', 'vercelli.ml', 'verdejo.com', 'veryday.ch', 'veryday.eu', 'veryday.info', 'vesa.pw', 'vfemail.net', 'victime.ninja', 'victoriantwins.com', 'vidchart.com', 'vikingsonly.com', 'vinernet.com', 'vipepe.com', 'vipmail.name', 'vipmail.pw', 'vipxm.net', 'viralplays.com', 'visal007.tk', 'visal168.cf', 'visal168.ga', 'visal168.gq', 'visal168.ml', 'visal168.tk', 'vixletdev.com', 'vkcode.ru', 'vmailing.info', 'vmpanda.com', 'vnedu.me', 'voidbay.com', 'vorga.org', 'votiputox.org', 'voxelcore.com', 'vpn.st', 'vps30.com', 'vps911.net', 'vrmtr.com', 'vsimcard.com', 'vssms.com', 'vtxmail.us', 'vubby.com', 'vuiy.pw', 'vztc.com', 'w3internet.co.uk', 'wakingupesther.com', 'walala.org', 'walkmail.net', 'walkmail.ru', 'wallm.com', 'wasteland.rfc822.org', 'watch-harry-potter.com', 'watchever.biz', 'watchfull.net', 'watchironman3onlinefreefullmovie.com', 'wbml.net', 'web-mail.pp.ua', 'webemail.me', 'webmail.igg.biz', 'webtrip.ch', 'webuser.in', 'wee.my', 'wef.gr', 'wefjo.grn.cc', 'weg-werf-email.de', 'wegwerf-email-addressen.de', 'wegwerf-email-adressen.de', 'wegwerf-email.at', 'wegwerf-email.de', 'wegwerf-email.net', 'wegwerf-emails.de', 'wegwerfemail.com', 'wegwerfemail.info', 'wegwerfemail.net', 'wegwerfemail.org', 'wegwerfemailadresse.com', 'wegwerfmail.info', 'wegwerpmailadres.nl', 'wegwrfmail.de', 'wegwrfmail.net', 'wegwrfmail.org', 'welikecookies.com', 'wg0.com', 'whatiaas.com', 'whatifanalytics.com', 'whatsaas.com', 'whiffles.org', 'whopy.com', 'wibblesmith.com', 'wickmail.net', 'widaryanto.info', 'widget.gg', 'wierie.tk', 'wilemail.com', 'willhackforfood.biz', 'wins.com.br', 'wlist.ro', 'wmail.cf', 'wolfsmail.tk', 'wollan.info', 'worldspace.link', 'wpg.im', 'wralawfirm.com', 'writeme.us', 'wudet.men', 'wuespdj.xyz', 'wxnw.net', 'x24.com', 'xagloo.co', 'xbaby69.top', 'xcode.ro', 'xcompress.com', 'xcpy.com', 'xemne.com', 'xjoi.com', 'xl.cx', 'xmail.com', 'xn--9kq967o.com', 'xn--d-bga.net', 'xost.us', 'xoxox.cc', 'xperiae5.com', 'xrho.com', 'xvx.us', 'xwaretech.com', 'xwaretech.info', 'xwaretech.net', 'xxhamsterxx.ga', 'xxi2.com', 'xxolocanto.us', 'xxqx3802.com', 'xyzfree.net', 'xzsok.com', 'yabai-oppai.tk', 'yahmail.top', 'yamail.win', 'yanet.me', 'yannmail.win', 'yapped.net', 'yaqp.com', 'ycare.de', 'ycn.ro', 'ye.vc', 'yedi.org', 'yhg.biz', 'ynmrealty.com', 'yodx.ro', 'yoo.ro', 'yopmail.gq', 'yopmail.pp.ua', 'yopmail.usa.cc', 'yordanmail.cf', 'you-spam.com', 'yougotgoated.com', 'youmail.ga', 'youmailr.com', 'youneedmore.info', 'youpymail.com', 'yourdomain.com', 'youremail.cf', 'yourewronghereswhy.com', 'yourlms.biz', 'yourtube.ml', 'yspend.com', 'ytpayy.com', 'yugasandrika.com', 'yui.it', 'yxzx.net', 'yyolf.net', 'z0d.eu', 'z1p.biz', 'z86.ru', 'zain.site', 'zainmax.net', 'zasod.com', 'zebins.com', 'zebins.eu', 'zehnminuten.de', 'zepp.dk', 'zetmail.com', 'zfymail.com', 'zhaoyuanedu.cn', 'zhcne.com', 'zhewei88.com', 'zhorachu.com', 'zik.dj', 'zipcad.com', 'zipsendtest.com', 'zoemail.com', 'zoemail.net', 'zoetropes.org', 'zombie-hive.com', 'zomg.info', 'zumpul.com', 'zv68.com', 'zxcv.com', 'zxcvbnm.com', 'zymuying.com', 'zzi.us', 'zzz.com', 'zoqqa.com', 'clgt.wtf', 'bcaoo.com', 'fakemyinbox.com', 'fanqiegu.cn', 'shufuni.cn', 'ducutuan.cn', 'yueluqu.cn', 'xiyaopin.cn', 'youquwa.cn', 'suoox.com', 'qaioz.com', 'mail.qmeta.net', 'jilossesq.com', 'rifkian.gq', 'bershka-terim.space', 'blan.tech', 'toppieter.com', 'semail.us', 'mendoanmail.club', 'mybisnis.online', 'bestchannelstv.info', 'dlwdudtwlt557.ga', 'tuongtactot.tk', 'mytandbergonline.com', 'titaspaharpur5.cf', '50sale.club', 'f1kzc0d3.tk', 'playcard-semi.com', 'tourbalitravel.com', 'mlx.ooo', 'titaspaharpur5.ga', 'besttempmail.com', 'titaspaharpur5.gq', 'raffles.gg', 'paharpurmim.tk', 'jdasdhj.gq', 'tahutex.online', 'kiustdz.com', 'kutakbisajauhjauh.ga', 'myallgaiermogensen.com', 'dikriemangasu.tk', 'geludkita.tk', 'domainaing.gq', 'z5cpw9pg8oiiuwylva.ml', 'system-2125.com', 'tuyulmokad.tk', 'relay-bossku3.com', 'emailapps.info', 'yuirz.com', 'suhuempek.ga', 'zahuy.site', 'hotmessage.info', 'payforclick.net', 'asoes.tk', 'canitta.icu', 'freeforall.site', 'myglockneronline.com', 'saigonmail.us', 'hbdya.info', 'hulksales.com', 'vaultsophiaonline.com', 'myhagiasophia.com', 'domainaing.tk', 'sempuranadi.cf', 'mabarpubg.zapto.org', 'hotmanpariz.com', 'flesh-tattoo.ru', 'luadao.club', 'aguastrieastor1.business', 'crazyworldshop.ru', 'evacuator-bronnitcy.ru', 'green-septik.ru', 'freestyle-heliopark.ru', 'customdevices.ru', 'dreambuket.ru', 'humordaddy.ru', 'caritto.ru', 'oqiwq.com','aklqo.com','bcaoo.com','qaioz.com','suoox.com','evonb.com','hlooy.com','ozlaq.com'];
	}

}